gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object Object to represent a selection.
- Constructor
  2.12.0.0
  Public constructor.
- Method
  2.12.0.0
  System.Void `` `` `` `` a , the widget for which this target applies a , the selection data a a Add the specified target to the list of supported targets for this selection. TODO: this could be better-explained.
- Method
  2.12.0.0
  System.Void `` `` `` `` a a a a Add targets for this widget.
- Method
  2.12.0.0
  System.Obsolete
  System.Boolean `` `` a a The default handler for the event. Instead of calling this function, chain up from your . Calling this function from any other context is illegal. a , true if the event was handled, otherwise false This function will be deprecated in future versions of GTK+ and GTK#.
- Method
  2.12.0.0
  System.Void `` `` a a representing the selection. Remove all targets registered for the given selection for the widget.
- Method
  2.12.0.0
  System.Boolean `` `` `` `` a , the requesting widget a , the selection to get a , the form of the information ("STRING" for example) (TODO: elaborate possible options) a , the time the request is being made Request the contents of a selection. When received, a event will be generated. a , true if the request succeeded, false if it couldn't be processed.
- Method
  2.12.0.0
  System.Boolean `` `` `` a or a representing the selection to claim. a , a timestamp to use in claiming the selection. Claims ownership of a given selection for a particular widget, or if is , release ownership of the selection. a , true if the operation succeeded.
- Method
  2.12.0.0
  System.Boolean `` `` `` `` a , the display where the selection is set. a or a representing the selection to claim. a , a timestamp to use in claiming the selection. Claims ownership of a given selection on a given display for a particular widget, or if is , release ownership of the selection. a , true if the operation succeeded.
- Method
  2.12.0.0
  System.Void `` a Removes all handlers and unsets ownership of all selections for a widget. Called when widget is being destroyed.